<?php
namespace Claromentis\Core\TrashCan;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_a540f3d49e78c8620c4547" . "ce19cefb33" => base64_decode("Y29tbW9uLnRyYXN" . "oX2Nhbi5kZWxldG" . "VkX2J5X2FkbWlua" . "XN0cmF0b3I="), "_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d" => base64_decode("bG" . "1z" . "Zw" . "=="));
use CommonListOutputUser;






class TrashCanListOutputUser extends CommonListOutputUser
{
    public function FormatAsHTML($value)
    {
        if (!$value) {
            return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_a540f3d49e78c8620c4547ce19" . "cefb33"]);
        }
        return parent::FormatAsHTML($value);
    }
    public function FormatAsText($value)
    {
        if (!$value) {
            return $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa744f69bbc0e" . "8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_a540f3d49e78c8620c454" . "7ce19cefb33"]);
        }
        return parent::FormatAsText($value);
    }
}